aboutsummaryrefslogtreecommitdiff
path: root/net/xbone/pkg-deinstall.rd
diff options
context:
space:
mode:
authorKris Kennaway <kris@FreeBSD.org>2001-01-20 08:04:22 +0000
committerKris Kennaway <kris@FreeBSD.org>2001-01-20 08:04:22 +0000
commita2d26cafb13f69ba99ae577598f1300bccc18346 (patch)
tree12a71d5eaef86be0937029d1a8742e2f57a97e34 /net/xbone/pkg-deinstall.rd
parent41f70d5c98a28f8cf39871c5e80cf2f20a97c551 (diff)
Notes
Diffstat (limited to 'net/xbone/pkg-deinstall.rd')
-rw-r--r--net/xbone/pkg-deinstall.rd21
1 files changed, 21 insertions, 0 deletions
diff --git a/net/xbone/pkg-deinstall.rd b/net/xbone/pkg-deinstall.rd
new file mode 100644
index 000000000000..592b77802368
--- /dev/null
+++ b/net/xbone/pkg-deinstall.rd
@@ -0,0 +1,21 @@
+#!/bin/sh
+if [ -z $2 ]; then
+ exit 0
+fi
+if [ $2 != "POST-DEINSTALL" ]; then
+ echo "!!! This script is for post-deinstallation only."; \
+ exit 0
+fi
+echo "==> Post-deinstallation cleanup:"
+if [ -d /etc/xbone ]; then
+ /usr/bin/dialog --yesno "/etc/xbone found. Do you want to DELETE it?\
+ Warning: <YES> would DELETE ALL XBONE CONFIG/STATE\
+ files and ALL CERTIFICATES." 8 50 &&
+ rm -rf /etc/xbone || echo " - /etc/xbone is not deleted."
+fi
+if [ -d /usr/local/xbone ]; then
+ /usr/bin/dialog --yesno "Do you want to DELETE all remaining XBone files\
+ under /usr/local/xbone?" 8 50 &&
+ rm -rf /usr/local/xbone || echo " - /usr/local/xbone not deleted."
+fi
+